--- include/class.history.php	2009-01-12 23:15:12.035414975 +0200
+++ /usr/share/eventum/include/class.history.php	2009-02-05 02:04:13.547383186 +0200
@@ -29,10 +29,6 @@
 // @(#) $Id: class.history.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.date.php");
 
 /**
  * Class to handle the business logic related to the history information for
@@ -91,14 +87,14 @@
         $stmt .= ") VALUES (
                     " . Misc::escapeInteger($iss_id) . ",
                     " . Misc::escapeInteger($usr_id) . ",
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($summary) . "',
                     $htt_id";
         if ($hide == true) {
             $stmt .= ", 1";
         }
         $stmt .= ")";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -128,13 +124,13 @@
                     htt_role <= " . Auth::getCurrentRole() . "
                  ORDER BY
                     his_id $order_by";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
         } else {
             for ($i = 0; $i < count($res); $i++) {
-                $res[$i]["his_created_date"] = Date_API::getFormattedDate($res[$i]["his_created_date"]);
+                $res[$i]["his_created_date"] = Date_Helper::getFormattedDate($res[$i]["his_created_date"]);
                 $res[$i]["his_summary"] = Mime_Helper::fixEncoding($res[$i]["his_summary"]);
             }
             return $res;
@@ -157,7 +153,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_history
                  WHERE
                     his_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -194,7 +190,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "history_type
                  WHERE
                     htt_name IN('" . join("','", $name) . "')";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "unknown";
@@ -264,7 +260,7 @@
                     iss_id
                  ORDER BY
                     iss_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -339,7 +335,7 @@
                     sta_title
                  ORDER BY
                     sta_rank";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -376,7 +372,7 @@
             $stmt .= "
                     AND his_htt_id IN(" . join(",", Misc::escapeInteger($htt_id)) . ")";
         }
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -403,7 +399,7 @@
                 ORDER BY
                     his_created_date DESC
                 LIMIT 1";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -443,7 +439,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_history.his_created_date BETWEEN '" . Misc::escapeString($start) . "' AND '" . Misc::escapeString($end) . "'
                 GROUP BY his_iss_id";
 
-        $result = $GLOBALS["db_api"]->dbh->getAssoc($sql);
+        $result = Db_Helper::getInstance()->getAssoc($sql);
         if (PEAR::isError($result)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
         } else {
--- include/class.impact_analysis.php	2009-01-12 23:15:12.075834288 +0200
+++ /usr/share/eventum/include/class.impact_analysis.php	2009-02-05 02:04:13.550721110 +0200
@@ -29,11 +29,6 @@
 // @(#) $Id: class.impact_analysis.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.date.php");
 
 /**
  * Class to handle the business logic related to the impact analysis section
@@ -67,10 +62,10 @@
                  ) VALUES (
                     " . Misc::escapeInteger($issue_id) . ",
                     $usr_id,
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_POST["new_requirement"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -112,7 +107,7 @@
                  WHERE
                     isr_iss_id=" . Misc::escapeInteger($issue_id) . " AND
                     isr_usr_id=A.usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -147,7 +142,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
                  WHERE
                     isr_id=" . Misc::escapeInteger($isr_id);
-        $issue_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $issue_id = Db_Helper::getInstance()->getOne($stmt);
 
         // we are storing minutes, not hours
         $dev_time = $_POST["dev_time"] * 60;
@@ -156,12 +151,12 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
                  SET
                     isr_updated_usr_id=$usr_id,
-                    isr_updated_date='" . Date_API::getCurrentDateGMT() . "',
+                    isr_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
                     isr_dev_time=$dev_time,
                     isr_impact_analysis='" . Misc::escapeString($_POST["impact_analysis"]) . "'
                  WHERE
                     isr_id=" . Misc::escapeInteger($isr_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -189,13 +184,13 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
                  WHERE
                     isr_id IN ($items)";
-        $issue_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $issue_id = Db_Helper::getInstance()->getOne($stmt);
 
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
                  WHERE
                     isr_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -223,7 +218,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
                  WHERE
                     isr_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.issue_field.php	2009-01-12 23:15:12.045423021 +0200
+++ /usr/share/eventum/include/class.issue_field.php	2009-02-05 01:39:37.074425170 +0200
@@ -27,7 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.priority.php");
 
 /**
  * Manages fields that are associated with an issue but can be displayed in many different places.
